<?php 
/*
Sayfa Adı: Kategori Sayfası
@link https://developer.wordpress.org/themes/basics/template-files/#template-partials
@url kanthemes.com
*/
geoit_header(); $category = get_query_var('cat');
if(!is_paged())
geoit_featured(); ?>
<main class="uck-layout__content" role="main">
	<div class="page__content">
		<div class="container">
			<div class="row">
				<div class="content content--page col-md-8">
					<div class="content__recent-posts--group">
						<?php $counter = 0; $ad = ot_get_option('geo-5-ads'); if ( have_posts() ) : ?>
							<?php $title = single_cat_title('', false); echo geoit_block_title($title, 'h1'); ?>
							<?php if(category_description($category)): ?>
								<article class="uck-card page_description"><?php echo category_description($category); ?></article>
							<?php endif; ?>
							<?php 
								if ( ot_get_option( 'blog_archives_layout' ) == 'blog-list' ) { ?>
								<div class="post-list-group" geoit-data-load-more>
									<?php while ( have_posts() ) : the_post(); $counter++;
										if ($ad != '' && $counter == 2) {
											echo $ad;
										}
										get_template_part('frameworks/template-parts/post/post-list', get_post_format() );
									endwhile; ?>
								</div>
								<?php }
								elseif ( ot_get_option( 'blog_archives_layout' ) == 'blog-timeline' ) {
									?>
									<div class="post-list-group" geoit-data-load-more>
										<?php while ( have_posts() ) : the_post(); $counter++; 
										if ($ad != '' && $counter == 2) {
											echo $ad;
										}
										?>
										<?php get_template_part('frameworks/template-parts/post/post-timeline', get_post_format() ); ?>		
										<?php endwhile; ?>
									</div>
								<?php }
								elseif ( ot_get_option( 'blog_archives_layout' ) == 'blog-masonry' ) { 
									if ($ad != '' && $counter == 2) {
										echo $ad;
									}?>
									<div class="masonry" geoit-data-load-more>
										<?php while ( have_posts() ) : the_post(); $counter++; ?>
										<?php get_template_part('frameworks/template-parts/post/post', get_post_format() ); ?>		
										<?php endwhile; ?>
									</div>
								<?php }
								elseif ( ot_get_option( 'blog_archives_layout' ) == 'blog-masonry2' ) { 
									if ($ad != '' && $counter == 2) {
										echo $ad;
									}?>
									<div class="masonry" geoit-data-load-more>
										<?php while ( have_posts() ) : the_post(); $counter++; ?>
										<?php get_template_part('frameworks/template-parts/post/post-masonry', get_post_format() ); ?>		
										<?php endwhile; ?>
									</div>
								<?php }
								elseif ( ot_get_option( 'blog_archives_layout' ) == 'blog-big' ) { 
									if ($ad != '' && $counter == 2) {
										echo $ad;
									}?>
									<div class="blog-big-group" geoit-data-load-more>
										<?php while ( have_posts() ) : the_post(); $counter++; ?>
										<?php get_template_part('frameworks/template-parts/post/post-big', get_post_format() ); ?>		
										<?php endwhile; ?>
									</div>
								<?php }
								else { ?>
									<div class="masonry masonry-grid" geoit-data-load-more>
										<?php while ( have_posts() ) : the_post(); $counter++;
										if ($ad != '' && $counter == 2) {
											echo $ad;
										}?>
										<?php get_template_part('frameworks/template-parts/post/post-grid', get_post_format() );?>	
										<?php endwhile; ?>
									</div>
								<?php }
							?>
							<?php geoit_pagination(); ?>
						<?php else : ?>
							<?php get_template_part( 'frameworks/template-parts/post/post', 'none' ); ?>
						<?php endif; ?>
					</div>
				</div>
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>
<?php get_footer(); ?>