<?php
/*
Sayfa Adı: Yazı Sayfası-Galeri
@link https://developer.wordpress.org/themes/basics/template-files/#template-partials
@url kanthemes.com
*/
?>
<article id="post-<?php the_ID(); ?>" class="content__post uck-card content__gallery content__gallery_2">
	<?php if (ot_get_option('geo-breadcrumb') != 'off') get_template_part( 'frameworks/template-parts/extras/breadcrumb'); ?>
	<div class="content__gallery_nav">
		<?php
			tp_link_pages();
		?>
	</div>
	<div class="content__post--article">
	
		<?php if(geo_is_mobile()): ?>
			<?php if(ot_get_option('geo-2-ads-m') != '' && is_single() ): ?>
				<div class="ad ad-single ad-center" style="margin-top: 0"><?php echo ot_get_option('geo-2-ads-m'); ?></div>
			<?php endif; ?>
		<?php else: ?>
			<?php if(ot_get_option('geo-2-ads') != '' && is_single() ): ?>
				<div class="ad ad-single ad-center" style="margin-top: 0"><?php echo ot_get_option('geo-2-ads'); ?></div>
			<?php endif; ?>
		<?php endif; ?>

		<div class="geoit_entry-content">
			<div class="col-md-6">
			<?php
				the_content( sprintf(
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'geo' ),
					get_the_title()
				) ); ?>
			</div>
			<div class="col-md-6">
				<?php geoit_trending_entry(get_the_ID());  the_title( '<h1 class="headline entry-title">', '</h1>' );?>
				<div class="content__post--article_meta">
					<div class="content__post-meta">
				<span class="entry-author author_name vcard author"><?php echo geoit_get_avatar( get_the_author_meta( 'ID' ), 25 ); ?><a class="fn" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a> <?php geoit_verified_user(get_the_author_meta( 'ID' )); ?></span>
<?php if (ot_get_option('geo-post-publish-date') != 'off'): ?>
						<span class="date entry-time"><i class="fa fa-clock-o"></i> <?php $date = get_the_date(get_option('date_format')); echo $date; ?></span>
					<?php endif; ?>
				<?php echo geoit_post_views(); ?>
			</div>
				</div>
				<?php $gallery_desc = get_post_meta(get_the_ID(), 'geo_gallery_desc', true);
				if ($gallery_desc != '') {
					echo '<p>'.$gallery_desc.'</p>'; 
				} ?>
				<div class="content__post--meta">
					<div class="geoprev"><?php previous_post_link('%link', '<i class="fa fa-arrow-circle-left" aria-hidden="true"></i>', FALSE); ?></div>
					<?php echo geoit_social_share(); ?>
				</div>
			</div>
			<div class="clearfix"></div>
				<?php if(geo_is_mobile()): ?>
					<?php if(ot_get_option('geo-3-ads-m') != '' && is_single() ): ?>
						<div class="ad ad-single ad-center" style="margin-top: 0"><?php echo ot_get_option('geo-3-ads-m'); ?></div>
					<?php endif; ?>
				<?php else: ?>
					<?php if(ot_get_option('geo-3-ads') != '' && is_single() ): ?>
						<div class="ad ad-single ad-center" style="margin-top: 0"><?php echo ot_get_option('geo-3-ads'); ?></div>
					<?php endif; ?>
				<?php endif; ?>
			<?php wp_link_pages( array(
				'before'      => '<div class="page-links">',
				'after'       => '</div>',
				'link_before' => '<span class="page-number">',
				'link_after'  => '</span>',
				) );
				if ( is_single() ) {
					the_tags( '<div class="content__post--article_tags">', '', '<br /></div>' );
				}
			?>
			
		</div>
	</div>
	<div class="content__gallery_nav">
		<?php
			tp_link_pages();
		?>
	</div>
</article>
<?php geo_mobile_share(); ?>