<?php
/**
 * Template Name: Yazı Ekle
 * @url kanthemes.com
 */
__( 'Yazı Ekle', 'geo' );
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if (isset($_POST['g-recaptcha-response']) && $_POST['g-recaptcha-response'] == 0) {
	echo '<script type="text/javascript">setTimeout(function () {';
			echo 'swal("'.__('Hata', 'geo').'","'.__('Recaptcha doğrulamasını yapılması gerekiyor.', 'geo').'","success", {button: "'.__('Tekar Dene', 'geo').'",});';
		echo '}, 100);</script>';
} else {
	
	if ( ! empty( $_FILES['featured']['name'] )) {
		$filename = $_FILES['featured']['name'];
		$ext = pathinfo($filename, PATHINFO_EXTENSION);
		$allowed = array('jpg', 'png', 'jpeg');
		if( in_array( $ext, $allowed ) ){
			foreach( $_FILES as $file ) {
				if( is_array( $file ) ) {
					$attach_id = upload_user_file( $file );
				}
			}
		}
	}
	$status = ot_get_option('geo_postsubmit_status');

	if(isset($_POST['submit'])){
		
		$tags = $_POST['post_tags'];
		$postTitle = $_POST['post_title'];
		$editor = $_POST['geoit-add-posts'];
		
		
		// get author id
		$author = get_current_user_id();

		$post_info = array(
			'post_title' => wp_strip_all_tags( $postTitle ),
			'post_content' => $editor,
			'post_status' => $status,
			'tags_input'    => array($tags),
			'post_author' => $author,
			'post_category'	=> (!empty($_POST['cat'])) ? array($_POST['cat']) : '',
			'post_type' => 'post',
		);
		$pid = wp_insert_post( $post_info );

		update_post_meta($pid,'_thumbnail_id',$attach_id);
		set_post_thumbnail( $pid, $attach_id );
		update_post_meta( $pid, 'geo_post_desc', esc_html($_POST['geo_post_desc'])); 
		
		if ( is_wp_error( $pid ) ) {
			$hatavar =  $post_id->get_error_message();
		}
		
		else { ?>
			<script type="text/javascript">setTimeout('Redirect()',5000);
				function Redirect()
				{
					location.href = '<?php echo get_author_posts_url( get_the_author_meta( 'ID', $user_ID ) ); ?>';
				}
			</script>
			<?php echo '<script type="text/javascript">setTimeout(function () {';
				echo 'swal("'.__('Başarılı', 'geo').'","'.__('Gönderdiğiniz yazı bize ulaşmıştır, editörlerimiz tarafından incelendikten sonra yayınlanacaktır, anlayışınız için teşekkürler.', 'geo').'","success", {button: "'.__('Anasayfa Dön', 'geo').'",});';
			echo '}, 500);</script>';
		}
	}
}

geoit_header(); ?>
<style>
hr {
display:block;
margin: 1em -2em;
width: auto
}
div.tagsinput span.tag {
border: 1px solid rgba(0,0,0,.1);
-moz-border-radius: 2px;
-webkit-border-radius: 2px;
display: block;
float: left;
padding: 5px;
text-decoration: none;
background: rgba(0,0,0,.1);
color: rgba(0,0,0,.5);
margin-right: 5px;
margin-bottom: 5px;
font-family: helvetica;
font-size: 13px;
}
.dark-mode div.tagsinput span.tag {
color:rgba(255,255,255,.7);
}

div.tagsinput span.tag a {
font-weight: 700;
color: rgba(0,0,0,.5);
vertical-align: 2px;
text-decoration: none;
font-size: 11px;
}
.tagsinput input {
width: 100% !important;
padding: 0;

}
.tagsinput {
width: 100%!important;
padding: 1em !important;
height: auto !important;
border-radius: 2px;
padding: 1em;
min-height: auto !important;
border: 1px solid #d2d6dc;

}
.dark-mode .tagsinput {
border-color: rgba(255,255,255,.1)
}
#geoit-add-posts a {
	    color: blue;
    text-decoration: underline;
}
#geoit-add-posts p {
	margin-bottom: 15px;
}
</style>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/ui/trumbowyg.min.css" integrity="sha512-iw/TO6rC/bRmSOiXlanoUCVdNrnJBCOufp2s3vhTPyP1Z0CtTSBNbEd5wIo8VJanpONGJSyPOZ5ZRjZ/ojmc7g==" crossorigin="anonymous" />

<main class="uck-layout__content" role="main">
	<div class="page__content">
		<div class="container">
			<div class="row">
				
				<?php if ( is_user_logged_in() ) : ?>
					<div id="content" class="content content__single content_post_add col-md-8" style="margin: 0 auto;float:none">
						
						<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
							<h3><?php the_title(); ?></h3>
							<?php $content = get_the_content(); if(!empty($content)): ?><br><div class="alert alert-secondary"><?php echo $content; ?></div><br><?php endif;?>
						<?php	endwhile; endif;?><br>

						<form action="<?php the_permalink(); ?>" method="post" enctype="multipart/form-data">
						
							<div class="form-group">
								<div class="form-label-group">
									<input autofocus required type="text" id="post_title" name="post_title" class="form-control" placeholder="<?php _e('Yazı Başlığı', 'geo'); ?>">
									<label for="post_title"><?php _e('Yazı Başlığı', 'geo'); ?></label>
								</div>
							</div>	
							<hr>
							
							<div id="geoit-add-posts"></div>

							<hr>
							
							<div class="form-group">
								<div class="form-label-group">
									<textarea type="text" id="geo_post_desc" name="geo_post_desc" class="form-control" placeholder="<?php _e('Yazının Kısa Açıklaması', 'geo'); ?>"></textarea>
									<label for="geo_post_desc"><?php _e('Yazının Kısa Açıklaması', 'geo'); ?></label>
								</div>
							</div>
							<hr>
							<div class="form-group">
								<?php wp_dropdown_categories( 'show_option_none='.__('Kategori Seç', 'geo').'&tab_index=4&taxonomy=category' ); ?>
							</div>
							<hr>
							<div class="form-group">
								<div class="form-label-group">
									<input type="text" id="post_tags" name="post_tags" class="form-control" placeholder="<?php _e('Etiketler', 'geo'); ?>">
								</div>
							</div>
							<hr>
							<div class="form-group">
								<input type="file" name="featured" id="featured" accept="image/*" class="input-file">
								<label for="featured" class="js-labelFile">
									<span class="js-fileName"><?php _e('Görsel Ekle', 'geo'); ?></span>
									<span class="upload-path"></span>
								</label>
							</div>
							
							<hr>
						
							<?php echo geoit_recaptcha('login_form'); ?>
			
							<input class="geo-post-submit" name="submit" type="submit" value="<?php _e('Yazıyı Gönder', 'geo'); ?>" />
						</form>
					</div>
				<?php else: ?>
					<div class="geo_post-submit-full">
					<h2><?php _e('Giriş Yapmanız Gerekiyor!', 'geo'); ?></h2>
					</div>
				<?php endif; ?>
			
			</div>
		</div>
	</div>
</main>

<!--[if IE]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<?php if ( ! is_user_logged_in() ) : ?>
<script>
function updateURLParameter(url, param, paramVal){
    var newAdditionalURL = "";
    var tempArray = url.split("?");
    var baseURL = tempArray[0];
    var additionalURL = tempArray[1];
    var temp = "";
    if (additionalURL) {
        tempArray = additionalURL.split("&");
        for (var i=0; i<tempArray.length; i++){
            if(tempArray[i].split('=')[0] != param){
                newAdditionalURL += temp + tempArray[i];
                temp = "&";
            }
        }
    }

    var rows_txt = temp + "" + param + "=" + paramVal;
    return baseURL + "?" + newAdditionalURL + rows_txt;
}

var newURL = updateURLParameter(window.location.href, 'locId', 'newLoc');
newURL = updateURLParameter(newURL, 'resId', 'newResId');

window.history.replaceState('', '', updateURLParameter(window.location.href, "login", "true"));
</script>
<?php endif; ?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>window.jQuery || document.write('<script src="js/vendor/jquery-3.3.1.min.js"><\/script>')</script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/trumbowyg.min.js" integrity="sha512-sffB9/tXFFTwradcJHhojkhmrCj0hWeaz8M05Aaap5/vlYBfLx5Y7woKi6y0NrqVNgben6OIANTGGlojPTQGEw==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/plugins/allowtagsfrompaste/trumbowyg.allowtagsfrompaste.min.js" integrity="sha512-Zuq+wA/YLqIGzMTTwdEx7amSDq7QKEcygLO4S8w1MeUytDQAGGZza/kZxCfwp0QiPdGHQHxl/bYGxmoy1MwdDA==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/plugins/pasteembed/trumbowyg.pasteembed.min.js" integrity="sha512-ohvYykyFxLPtZFP8ajHcVac+Yoer70PfcCb5f25hIyO5GfU/6GIxHZdEw+4qqYCs/VCNlFWCp7MvkWZxGaUMww==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/langs/tr.min.js" integrity="sha512-+HGzdrYvtA0U9cp5kJad8OpjTvUi6ywZ9z9kXFGiV3EaAR1II5X6lfulUm6/F9GKesHW+jHFfAqwXK0juybvMw==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/plugins/history/trumbowyg.history.min.js" integrity="sha512-hvFEVvJ24BqT/WkRrbXdgbyvzMngskW3ROm8NB7sxJH6P4AEN77UexzW3Re5CigIAn2RZr8M6vQloD/JHtwB9A==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-tagsinput/1.3.6/jquery.tagsinput.min.js" integrity="sha512-wTIaZJCW/mkalkyQnuSiBodnM5SRT8tXJ3LkIUA/3vBJ01vWe5Ene7Fynicupjt4xqxZKXA97VgNBHvIf5WTvg==" crossorigin="anonymous"></script>
<script>
	$('#post_tags').tagsInput({
		'defaultText': 'Etiket Girin'
	});
$('#geoit-add-posts').trumbowyg({
    lang: 'tr',
    
    plugins: {
        allowTagsFromPaste: {
            allowedTags: ['h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'p', 'hr', 'strong', 'b', 'img', 'del', 'em', 'a', 'ul', 'ol', 'li']
        }
    },
    changeActiveDropdownIcon: true,
    btns: [
        ['viewHTML'],
        ['formatting'],
        ['strong', 'em', 'del'],
        ['historyUndo','historyRedo'],
        ['link'],
        ['insertImage'],
        ['justifyLeft', 'justifyCenter', 'justifyRight'],
        ['unorderedList', 'orderedList'],
        ['horizontalRule'],
        ['removeformat'],
        // ['fullscreen']
    ]
});

</script>
<?php get_footer();?>
<script>
// Span
var span = document.getElementsByClassName('upload-path');
// Button
var uploader = document.getElementsByName('featured');
// On change
for( item in uploader ) {
  // Detect changes
  uploader[item].onchange = function() {
    // Echo filename in span
    span[0].innerHTML = this.files[0].name;
  }
}

</script>