<?php
/*
Sayfa Adı: Yazı Sayfası-Galeri
@link https://developer.wordpress.org/themes/basics/template-files/#template-partials
@url kanthemes.com
*/
if(get_post_meta(get_the_ID(), 'geo_gallery_layout', true) != 'style-2'): ?>
<article id="post-<?php the_ID(); ?>" class="content__post uck-card content__gallery">
	<div class="content-header-meta">
			<?php if (ot_get_option('geo-breadcrumb') != 'off') get_template_part( 'frameworks/template-parts/extras/breadcrumb');
			geoit_trending_entry(get_the_ID()); 
			if ( is_single() ) {
					// geo_reaction_badge($post->ID);
					the_title( '<h1 class="headline entry-title">', '</h1>' ); 
				} else {
					the_title( '<h1 class="headline entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h1>' );
				}
			$post_desc = get_post_meta(get_the_ID(), 'geo_post_desc', true);
			if($post_desc != '') {
				echo '<p>'.$post_desc.'</p>';
			} 
			
			if (is_single() ) : ?>
			<div class="content__post--article_meta">
				<div class="content__post-meta">
					<span class="entry-author author_name vcard author"><?php echo geoit_get_avatar( get_the_author_meta( 'ID' ), 25 ); ?><a class="fn" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a> <?php geoit_verified_user(get_the_author_meta( 'ID' )); ?></span>
					<?php if (ot_get_option('geo-post-publish-date') != 'off'): ?>
						<span class="date entry-time"><i class="fa fa-clock-o"></i> <?php $date = get_the_date(get_option('date_format')); echo $date; ?></span>
					<?php endif; ?>
					<?php geoit_reading_time($post); ?>
					<?php echo geoit_post_views(); ?>
				</div>
				<?php if(ot_get_option('geo-post-sizes') != 'off' || ot_get_option('geo-google-news') != ''): ?>
				<div class="content__post-size">
					
					<?php if(ot_get_option('geo-post-sizes') != 'off'): ?>
						<span data-balloon="<?php _e('Yazı Boyutu Büyüt', 'geo');?>" data-balloon-pos="top"><a href="javascript:void(0);" id="increase-text"><i class="fa fa-font" aria-hidden="true"></i>+</a> </span>
						<span data-balloon="<?php _e('Yazı Boyutu Küçült', 'geo');?>" data-balloon-pos="top"><a href="javascript:void(0);" id="decrease-text"><i class="fa fa-font" aria-hidden="true"></i>-</a></span>
					<?php endif; ?>
					<?php if(ot_get_option('geo-google-news') != ''): ?>
						<div class="google-news">
							<a target="_blank" rel="nofollow noopener" title="Google News ile Abone Ol" href="<?php echo ot_get_option('geo-google-news'); ?>" class="google-news-link"></a>
						</div>
					<?php endif; ?>
				</div>
				<?php endif; ?>
			</div>
			<?php if (ot_get_option('geo-post-modified-date') == 'on'): ?>
				<div class="content__post--article_meta">
					<span class="entry-modified-time"><?php printf( __( 'Son Düzenleme: %1$s', 'geo' ), get_the_modified_date( 'F j, Y g:i' )); ?></span>
				</div>
			<?php endif; ?>
			<?php endif; ?>
			<div class="content__post--meta">
				<div class="geoprev"><?php previous_post_link('%link', '<i class="fa fa-arrow-circle-left" aria-hidden="true"></i>', FALSE); ?></div>
				<?php echo geoit_social_share(); ?>
			</div>
		</div>
		<div class="content__gallery_nav">
		<?php
			tp_link_pages();
		?>
	</div>
	<div class="content__post--article">

			
			
			
			<div class="geoit_entry-content">
				<?php if(geo_is_mobile()): ?>
					<?php if(ot_get_option('geo-2-ads-m') != '' && is_single() ): ?>
						<div class="ad ad-single ad-center" style="margin-top: 0"><?php echo ot_get_option('geo-2-ads-m'); ?></div>
					<?php endif; ?>
				<?php else: ?>
					<?php if(ot_get_option('geo-2-ads') != '' && is_single() ): ?>
						<div class="ad ad-single ad-center" style="margin-top: 0"><?php echo ot_get_option('geo-2-ads'); ?></div>
					<?php endif; ?>
				<?php endif; ?>

				<?php
					the_content(); 
					geoit_recipe($post->ID); 
				?>
				
				<?php if(get_post_meta( $post->ID, 'geo_enable_review', true ) == 'true' || get_post_meta( $post->ID, 'geo_enable_review', true ) == 'on') : ?>
					<div class="gp-review-box-bottom">
						<?php geo_print_review_box($post->ID);  ?>
					</div>
				<?php endif; ?>

			
				<div class="clearfix"></div>
				<?php if(geo_is_mobile()): ?>
					<?php if(ot_get_option('geo-3-ads-m') != '' && is_single() ): ?>
						<div class="ad ad-single ad-center" style="margin-top: 0"><?php echo ot_get_option('geo-3-ads-m'); ?></div>
					<?php endif; ?>
				<?php else: ?>
					<?php if(ot_get_option('geo-3-ads') != '' && is_single() ): ?>
						<div class="ad ad-single ad-center" style="margin-top: 0"><?php echo ot_get_option('geo-3-ads'); ?></div>
					<?php endif; ?>
				<?php endif; ?>
			</div>
			<div class="content__gallery_nav">
		<?php
			tp_link_pages();
		?>
	</div>
			<?php 
				echo get_geo_post_source($post->ID);
				wp_link_pages( array(
					'before'      => '<div class="page-links">',
					'after'       => '</div>',
					'link_before' => '<span class="page-number">',
					'link_after'  => '</span>',
				) );
				if ( is_single() && ot_get_option('geo-post-tags') != 'off' ) {
					the_tags( '<div class="content__post--article_tags">', '', '<br /></div>' );
				}
			?>
			
	</div>
</article>
<?php geo_mobile_share(); ?>
<?php else: get_template_part( 'frameworks/template-parts/post/content', 'gallery-2' ); ?>
<?php endif; ?>